/*
 | Desing for Historias en papel
 | Author Josué Hernández
 */

@font-face {
  font-family: GothamBlack;
  src: url("../fonts/gotham/Gotham-Black.otf") format("opentype");
}
@font-face {
  font-family: GothamLight;
  src: url("../fonts/gotham/Gotham-Light.otf") format("opentype");
}

@font-face {
  font-family: GothamThin;
  src: url("../fonts/gotham/Gotham-Thin.otf") format("opentype");
}

@font-face {
  font-family: GothamThin;
  src: url("../fonts/gotham/Gotham-Thin.otf") format("opentype");
}

@font-face {
  font-family: GothamBook;
  src: url("../fonts/gotham/Gotham-Book.otf") format("opentype");
}

@font-face {
  font-family: GothamBold;
  src: url("../fonts/gotham/Gotham-Bold.otf") format("opentype");
}

* {
  margin: 0;
  padding: 0;
  font-family: GothamLight;
}

/* Body Styles*/
body {
  background: #eeeeee !important;
}


.a-bottom-rigth{
  position: absolute;
  right: 15px;
  bottom: 0;
}

/*
 | Animation keyframes
 */
 @keyframes more {
  from {
    transform: scale(.8);
    filter: blur(3rem);
  }
  to {
    transform: scale(1);
    filter: blur(0);
  }
}
@keyframes moretominus {
  0%, 100% {
    transform: scale(.8);
  }
  50% {
    transform: scale(1);
  }
}

/* Global styles*/
a{
  color: #002b61 !important; 
}
.pf-1{
  color: #002b61;
  font-size: 12px !important;
}
.pf-2{
  color: #002b61;
  font-size: 14px !important;
}
.pf-sub2{
  color: #9e9e9e;
  font-size: 10px;
  margin-bottom: 5px;
}
.pf-1-bold{
  color: #002b61;
  font-size: 12px !important;
  font-family: GothamBlack;
}
.v-wrapper{
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.demo-pay-grey{
  color: grey !important;
  font-family: GothamBlack;
}
.px-large{
  padding-left: 60px !important;
  padding-right: 60px !important;
}

/* Input edited */
.input-e{
  outline: none;
  border-radius: 0 !important;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
} 
.text-area{
  border-radius: 0 !important;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
  background: #ffffff !important;
  outline: none;
  resize: none;
}
.select-e{
  border-radius: 0 !important;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
  background: #ffffff !important;
}
.select-e > select{
  width: 100%;
  background: transparent !important;
  border: none;
  outline: none;
}

/*Spinner overall*/
.spinner-overall{
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 99999;
  background: #ffffff;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.spinner-overall > .spinner-elements{
  margin: auto;
}
.spinner-overall > .spinner-elements > .spinner-logo{
  width: 50%;
  margin: auto;
  margin-bottom: 10px;
}
.spinner-overall > .spinner-elements > .spinner-logo > img{
  width: 100%;
  animation: moretominus infinite 4s ease-in;
}
.spinner-overall > .spinner-elements > .spinner-circle{
  width: max-content;
  margin: auto;
  margin-top: 35px;
}
.spinner-overall > .spinner-elements > .spinner-circle > .spinner-border{
  color: #002b61 !important;
  border-width: .10rem;
}
.spinner-overall > .spinner-elements > .spinner-text-footer{
  font-size: 13px !important;
  color: #9e9e9e;
}
/* Spacing */
.px-10 {
  padding-left: 6rem !important;
  padding-right: 6rem !important;
}
.mt-20 {
  margin-top: 18vh;
}

/* Font sizes*/
.f-10 {
  font-size: 12px !important;
}
.f-15 {
  font-size: 15px !important;
}
/* Sizing */
.w-10 {
  width: 10% !important;
}
.w-15 {
  width: 15% !important;
}
.w-fit-content{
  width: fit-content;
}

/* h's styles  */
.sub-4{
  font-size: 23px !important;
  margin-bottom: 14px !important;
  color: #002b61 !important;
  font-family: GothamBlack;
}
.sub-5{
  font-size: 18px !important;
  margin-bottom: 14px !important;
  color: #002b61 !important;
  font-family: GothamBlack;
}
.sub-modal-5{
  font-size: 18px !important;
  margin-bottom: 14px !important;
  color: #002b61 !important;
  font-family: GothamBlack;
  border-bottom: 2px solid #002b61 !important;
}
.p-parent  p{
  font-size: 14px !important;
  color: #002b61 !important;
}
.container-80{
  max-width: 80% !important;
  margin: auto;

}

/* Navbar reconfig */
.navbar {
  border-bottom: 1px solid #d8d8d8;
  background: transparent !important;
}
.navbar > .navbar-brand {
  width: 150px;
}
.navbar > .navbar-brand > .navbar-brand-img {
  width: 100%;
}
.navbar > div > .content-btn-navbar-toggle > .btn-navbar-toggler {
  border: none;
  background: transparent;
  outline: none;
  width: 45px;
  height: 45px;
  padding: 10px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.navbar > div > .content-btn-navbar-toggle > .btn-navbar-toggler:focus {
  outline-style: none;
  box-shadow: none;
}
.navbar
  > div
  > .content-btn-navbar-toggle
  > .btn-navbar-toggler
  > .content-bars {
  position: relative;
  margin: auto;
  width: 100%;
}
.navbar
  > div
  > .content-btn-navbar-toggle
  > .btn-navbar-toggler
  > .content-bars
  > .bars {
  background-color: #002b61;
  display: block;
  margin-top: 3px;
  margin-bottom: 3px;
  height: 4px;
  width: 100%;
}
.navbar > div  .navbar-user-picture {
  position: relative;
  width: 45px;
  height: 45px;
  border: 2px solid #002b61;
  display: inline-block;
  vertical-align: middle;
  border-radius: 100%;
  background: transparent;
  outline: none;
}
.navbar > div  .navbar-user-picture::before {
  content: attr(data-initial);
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
  color: #002b61;
  font-size: 20px;
}

/* Mosaic config */
.mosaic {
  margin-bottom: 30px;
}
.mosaic > .row > .row > .mosaic-item {
  margin-top: 6px;
  margin-bottom: 5px;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content {
  position: relative;
  animation: more .4s ease;
  background: #d8d8d8;
  height: 32vh;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-loader{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: url("../img/loader.gif");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  width: 25px;
  height: 25px;
  z-index: 1;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover{
  background-repeat: no-repeat !important;
  background-position: center center !important;
  background-size: cover !important;
  position: relative;
  width: 100% !important;
  height: 100%;
  overflow: hidden;
  display: none;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content.more-40 {
  height: 38.5vh !important;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content.less-20 {
  height: 25vh !important;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover > .mosaic-item-carousel{
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover > .mosaic-item-carousel > .body{
  margin-top: 10px;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover > .mosaic-item-carousel > .body > img{
  width: 60%;
  display: block;
  margin: auto;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover > .mosaic-item-carousel > .header{
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 4;
  text-align: center;
  background-color: rgba(255, 255, 255, .7);
  padding: 12px;
}
.mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover > .mosaic-item-carousel > .header > h1{
  margin-bottom: 0px !important;
  font-size: 19px;
  font-family: GothamBook;
}

/* corusel mod acuarela */
.mosaic-item-carousel.acuarela{
  background-color: #e47ec3;
}

/* corusel mod botanica */
.mosaic-item-carousel.botanica{
  background-color: #d6deb0;
}

/* corusel mod botanica */
.mosaic-item-carousel.clasica{
  background-color: #f8f7f1;
}

/* corusel mod botanica */
.mosaic-item-carousel.mexicana{
  background-color: #f5d684;
}

/* corusel mod jallyfish */
.mosaic-item-carousel.jellyfish{
  background-color: #cce8ec;
}

.hidde{
  display: none !important;
}

/* footer config */
.footer-style {
  border-top: 1px solid #d8d8d8;
  padding-top: 17px;
  padding-right: 0px !important;
  padding-left: 0px !important;
}

/* Slide menu */
.slide-menu{
  position: fixed;
  right: -100%;
  top: 0;
  bottom: 0;
  z-index: 999999;
  background: #011E41;
  padding: 20px;
}
.slide-menu > .header{
  text-align: right;
}
.slide-menu > .header > a > i{
  color: #ffffff;
  font-size: 24px;
}
.slide-menu > .body{
  padding: 20px;
  padding-left: 80px;
  padding-right: 80px;
  margin-top: 20px;
}
.slide-menu > .body > ul{
  list-style: none !important;
}
.slide-menu > .body > ul li{
  color: #ffffff;
  margin-bottom: 25px !important;
}
.slide-menu > .body > ul li > a{
  color: #ffffff !important;
  text-decoration: none;
  font-size: 25px;
}
.slide-menu > .body > ul li > a:hover{
  color: #f8f7f1 !important;
}



/*Login and register*/
.login{
  background-repeat: no-repeat !important;
  background-position: center center !important;
  background-size: cover !important;
}
.login::before{
  content: "";
  position: fixed;
  z-index: 0;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, .3);
}
.content-wrapper{
  margin-right: 10%;
  height: 100vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.form-login{
  animation: more .4s ease-in-out;
  margin-left: auto;
  width: 60vh;
  height: 80vh;
  background: #EEEEEE !important;
  border: none !important;
  box-shadow: 0 0 10px rgba(0, 0, 0, .3);
  border-radius: 0 !important;
} 
.form-login > .card-header{
  background: transparent !important;
  border-bottom: none !important;
}
.form-login > .card-header > img{
  width: 45%;
}
.form-login > .card-body > h2{
  font-size: 16px !important;
  font-family: GothamBlack;
  color: #123a6b;
}
.form-login > .card-body > input{
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
}
.form-login > .card-body > p{
  font-size: 14px !important;
}
.form-login > .card-body > p > a{
  color: #123a6b !important;
  font-family: GothamBlack;
}
.form-login > .card-footer{
  background: transparent;
  border-top: none !important;
  margin-bottom: 10px;
}
.form-login > .card-footer > .col-md-12 > button{
  width: 60%;
}
/*#123a6b*/
.btn{
  border-radius: 0px !important;
}
.btn-primary{
  background: #123a6b !important;
  border-color: #123a6b !important;
  border-radius: 0px !important;
  color: #ffffff !important;
}
.btn-secondary{
  background: #FF988A !important;
  border-color: #FF988A !important;
  border-radius: 0px !important;
  color: #ffffff !important;
}
.btn-outline-primary{
  border-color: #123a6b !important;
  color: #123a6b !important;
  border-radius: 0px !important;
}
.btn-outline-primary:hover{
  background: #123a6b !important;
  color: #ffffff !important;
}
.input-check > label{
  font-size: 13px;
  color: #123a6b !important;
}

/* Demo */
.form-edit-demo input{
  border-radius: 0 !important;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
}

.form-edit-demo .demo-select{
  border-radius: 0 !important;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
  background: #ffffff !important;
}
.form-edit-demo .demo-select > select{
  width: 100%;
  background: transparent !important;
  border: none;
  outline: none;
}
.demo-pay{
  color: #123a6b !important;
  font-family: GothamBlack;
}
.demo-text{
  font-size: 13px !important;
}
.demo-text > a{
  color: #123a6b !important;
  font-family: GothamBlack;
}


/*stylos para compras*/
.buy-model .card{
  -webkit-transition:  all .3s ease-in;
  -moz-transition:  all .3s ease-in;
  -o-transition:  all .3s ease-in;
  transition:  all .3s ease-in;
}
.buy-model .card:hover{
  box-shadow: 0 0 15px rgba(0, 0, 0, .3);
}
.buy-model .card > .card-footer{
  border-top: none !important;
  background: #ffffff;
}
.buy-model > .col-md-6{
  padding-left: .25rem !important;
  padding-right: .25rem !important;
}
.buy-model .card > .card-footer > p{
  font-size: 14px;
}
.buy-model .card > .card-footer > a{
  color: #123a6b !important;
  font-size: 14px;
  font-family: GothamBlack;
  text-decoration: none;
}

/* Demo stylos */
.plan-text-info  h4{
  color: #123a6b !important;
  font-family: GothamBlack;
}
.plan-text-info  p{
  color: #123a6b !important;
  font-size: 13px;
}
.plan-item > .text > h4{
  color: #123a6b !important;
  font-size: 40px;
  font-family: GothamBold;
}
.plan-item > .text > p{
  color: #123a6b !important;
  font-size: 15px;
  font-family: GothamBold;
}
.plan-item > .text > .price{
  font-size: 25px;
  margin-bottom: 15px;
  font-family: GothamLight !important;
}
.plan-item > .text > hr{
  background: #123a6b !important;
  width: 40%;
  margin: auto;
  margin-bottom: 15px;
}
.plan-table > .col-sm{
  padding-left: .25rem !important;
  padding-right: .25rem !important;
}
.plan-table > .col-sm > .card{
  padding: 20px !important;
  
}

.l-height{
  line-height: 234% !important;
}

.stepper{
  border-bottom: 1px solid #d8d8d8;
}
.stepper a{
  padding: 10px !important;
  color: #123a6b !important;
  width: fit-content !important;
  margin: auto;
}
.stepper a > span{
  font-family: GothamBook;
}
.stepper a.active{
  border-bottom: 2px solid #123a6b !important;
}

/* Invitation edit */
.card-invitation-edit{
  border: none !important;
  border-radius: 0 !important;
  background: #fafafa !important;
  box-shadow: 0 0 5px rgba(0, 0, 0, .3);
}
.card-invitation-edit .card-header{
  border: none;
  background: transparent;
}
.card-invitation-edit .card-header .title{
  color: #123a6b !important;
  font-family: GothamBlack;
}
.card-invitation-edit img{
  width: 100%;
}


/* Radio group */
.selectgroup{
  display: inline-flex;
  margin-left: 20px;
  margin-right: 20px;
}
.selectgroup > .selectgroup-item{
  flex-grow: 1;
  position: relative;
}
.selectgroup > .selectgroup-item > .selectgroup-button {
  background-color: transparent;
  border-color: #6B829F;
  border-width: 1px;
  border-style: solid;
  display: block;
  text-align: center;
  padding: 0 1rem;
  padding: 20px;
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-size: 13px;
  min-width: 2.375rem;
  line-height: 36px;
  color: #6B829F;
  border-right: none;
}
.selectgroup > .selectgroup-item > .selectgroup-button.end{
  border-right: solid 1px #123a;
}
.selectgroup > .selectgroup-item > .selectgroup-button.active{
  color: #ffffff !important;
  background-color: #123a !important;
}
.selectgroup > .selectgroup-item > .selectgroup-button > span{
  display: block;
}
.selectgroup > .selectgroup-item > .selectgroup-button > span.title{
  /*font-family: GothamBlack;*/
  font-size: 25px !important;
}
.selectgroup > .selectgroup-item > .selectgroup-button > span.sub{
  font-size: 15px !important;
}
.selectgroup > .selectgroup-item > .selectgroup-input {
  opacity: 0;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
}
.hep-invitationpreview{
  width: 200%;
  height: 200%;
  border: 0;
  -webkit-transform: scale(0.5);
  transform: scale(0.5);
  -webkit-transform-origin: top left;
  transform-origin: top left;
  -webkit-transition: opacity 0.4s ease;
  transition: opacity 0.4s ease;
}

/* Stylos para la pagina de buy-in */
.buy-in-demo{
  width: 100%;
}

/* Global select style */
.hep-select{
  border-radius: 0 !important;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  font-size: 12px;
  width: 100%;
  background: #ffffff !important;
}
.hep-select > select{
  width: 100%;
  background: transparent !important;
  border: none;
  outline: none;
}

/* Invites styles */
.hep-text-black{
  font-size: 13px !important;
}
.hep-text-black span{
  color: #002b61 !important;
  font-family: GothamBlack !important;
}

/* Compras */
.hep-compras-pay{
  font-size: 13px !important;
  color: #002b61;
  font-family: GothamBlack;
}

/* Excel styles */
.hep-excel-a{
  font-size: 12px !important;
}
.hep-table > thead > tr > th,
.hep-table > tbody > tr > th,
.hep-table > tbody > tr > td{
  font-size: 13px !important;
  color: #002b61;
  text-align: center;
}

/* Menu style */
.hep-menu > .dropdown-menu{
  top: 130%;
  right: 0 !important;
  left: initial !important;
  border: none;
  border-radius: 0px;
  padding: 20px !important;
  padding-top: 30px !important;
  padding-bottom: 30px !important;
  padding-left: 7px !important;
  padding-right: 7px !important;
  color: #ffffff !important;
  background: #002b61 !important;
}
.hep-menu > .dropdown-menu a{
  margin-bottom: 10px;
  color: #ffffff !important;
}
.hep-menu > .dropdown-menu a:hover{
  background: transparent !important;
}
.hep-invites-text{
  text-align: center;
}

@media (max-width: 700px) {
  .hep-invites-text{
    text-align: left !important;
  }
  .stepper a{
    font-size: 9px !important;
    width: 100% !important;
  }
  .stepper a > span{
    display: none;
  }
  .content-wrapper{
    margin-right: 0 !important;
  }
  .form-login{
    width: 100%;
    height: 100vh;
  }
  .slide-menu > .header > a > i{
    color: #ffffff !important;
    font-size: 18px;
  }
  .slide-menu > .body > ul li > a{
    color: #ffffff !important;
    text-decoration: none;
    font-size: 17px;
  }
  .slide-menu > .body{
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;
    margin-top: 10px;
  }
  .navbar > div .navbar-user-picture {
    width: 35px;
    height: 35px;
  }
  .navbar > div .navbar-user-picture::before {
    font-size: 15px;
  }
  .navbar {
    padding: 20px !important;
  }
  .navbar > .navbar-brand {
    width: 100px !important;
  }
  .mosaic > .row > .row > .mosaic-item > .mosaic-item-content.more-40 {
    height: 32vh !important;
  }
  .mosaic > .row > .row > .mosaic-item > .mosaic-item-content.less-20 {
    height: 32vh !important;
  }
  .selectgroup > .selectgroup-item > .selectgroup-button{
    padding: 6px !important;
  }
  .selectgroup > .selectgroup-item > .selectgroup-button > span.title{
    font-size: 14px !important;
  }
  .selectgroup > .selectgroup-item > .selectgroup-button > span.sub{
    font-size: 10px !important;
  }
}
@media (max-width: 400px) {
  .stepper a{
    font-size: 8px !important;
  }
  .navbar {
    padding: 15px !important;
  }
  .navbar > .navbar-brand {
    width: 70px !important;
  }
  .hidde-phone{
    display: none !important;
  }
  .w-100-phone{
    width: 100% !important;
  }
}
@media (max-width: 1000px){
  .stepper a{
    font-size: 12px !important;
  }
  .mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover.lt > img{ 
    width: 150% !important;
  }
  .mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover.lb > img{
    width: 350% !important;
    margin-left: -100px;
  }
  .mosaic > .row > .row > .mosaic-item > .mosaic-item-content > .mosaic-item-cover.lrb > img{
    width: 170% !important;
  }
}
